%{?python_enable_dependency_generator}
%global module_name freetype
%global pypi_name freetype-py
%global sum Freetype python bindings

Name:          python-%{module_name}
Version:       2.2.0
Release:       %mkrel 1
Summary:       Freetype python bindings
Group:         Development/Python
License:       BSD
URL:           https://github.com/rougier/freetype-py
Source0:     https://files.pythonhosted.org/packages/source/f/freetype-py/freetype-py-%{version}.zip 

BuildArch:     noarch
BuildRequires: freetype-devel
BuildRequires: python3-pip
BuildRequires: python3-toml

%description
Freetype python bindings.

%package -n python3-%{module_name}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{module_name}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm

%description -n python3-%{module_name}
%{sum}.

%prep
%autosetup -n freetype-py-%{version}
sed -i '1{\@^#!/usr/bin/env python@d}' freetype/*.py
sed -i '1{\@^#!/usr/bin/env python@d}' examples/*.py

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{module_name}
%doc examples
%license LICENSE.txt
%{python3_sitelib}/%{module_name}/
%{python3_sitelib}/%{module_name}_py-%{version}-py3.*.egg-info/


%changelog
* Fri Aug 21 2020 joequant <joequant> 2.2.0-1.mga8
+ Revision: 1617277
- fix nodeps
- add dep
- imported package python-freetype

